Opened 14 years ago

Last modified 7 years ago

#178 closed defect (Fixed)

OS X Client Crashes on 10.3.7

Reported by: brianwc Owned by: phobos
Priority: High Milestone:
Component: Core Tor/Tor Version:
Severity: Keywords:
Cc: brianwc Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The following crash occurs with the 0.1.1.5-alpha tor client for OS X. This report is from /Library/Logs/CrashReporter/tor.crash.log

For me it happens immediately after installation. I've never been able to keep an OS X tor client running.


Host Name: pbookbrian.local
Date/Time: 2005-08-10 10:49:54 -0700
OS Version: 10.3.7 (Build 7T51)
Report Version: 2

Command: tor
Path: Library/Tor/tor
Version: ??? (???)
PID: 582
Thread: Unknown

Link (dyld) error:

dyld: Library/Tor/tor Undefined symbols:
Library/Tor/tor undefined reference to _fprintf$LDBL128 expected to be defined

in /usr/lib/libSystem.B.dylib

[Automatically added by flyspray2trac: Operating System: OSX 10.4 Tiger]

Child Tickets

Attachments (2)

Tor 0.1.1.5-alpha-gcc3 Bundle.dmg (981.1 KB) - added by phobos 14 years ago.
latest tor for pre-10.3.9 users
Tor 0.1.1.5-alpha-gcc3-libevent Bundle.dmg (996.5 KB) - added by phobos 14 years ago.
Tor with libevent for pre-10.3.9 users

Download all attachments as: .zip

Change History (21)

comment:1 Changed 14 years ago by arma

Can you confirm that Tor 0.1.0.14 also crashes for you?

comment:2 Changed 14 years ago by brianwc

Yes. Same exact crash report under 0.1.0.14 (just confirmed) and under 0.1.1.2-alpha (first client I tried=same result).

comment:3 Changed 14 years ago by phobos

I believe this issue is caused by backwards compatibility between OSX version. I'm pretty sure these
packeages are created and compiled under 10.4, which only has backwards compatibility to 10.3.9. I noticed you're running 10.3.7.
The main difference is that 10.4 uses GCC4, which pre-10.3.9 doesn't have libraries to handle.

comment:4 Changed 14 years ago by JB46

Having the same problem with Tor 0.1.0.14 and 0.1.0.12 under OSX 10.3.8.

comment:5 Changed 14 years ago by JB46

Which version number was the most recent previous version of Tor that was compiled for 10.3.8 and does not require the absent libraries?

comment:6 Changed 14 years ago by phobos

Anything less than 10.3.9 won't work for these binaries. They were compiled with GCC4 in OSX Tiger (10.4).
Apparently Apple only backported the compatibility libs to 10.3.9.
I'm looking into the most recent version that'll work.

Any chance you can upgrade to 10.3.9, which should be available through Software Update?

comment:7 Changed 14 years ago by macuser2

I am also having this problem on two Macs running 10.3.8 and both the latest stable and development releases of Tor.

So you're saying that there is no previous version of Tor that is compatible with any version of Mac OS X prior to 10.3.9?

Many Mac users have specifically resisted upgrading to 10.3.9 because it introduced a number of new OS bugs. Isn't there anything you can do to make Tor compatible with 10.3.8, i.e. remove dependence on these libraries?

comment:8 Changed 14 years ago by phobos

The current issue with Tor is that the osx binaries are currently made under Tiger and GCC4.
I haven't found a way to include compability libraries for non-10.4.x and pre-10.3.9 systems. If compiling Tor from source isn't an option, then you'll have to wait for a bit while we resolve the issue.

comment:9 Changed 14 years ago by macuser2

I'm not a programmer... How difficult is it to compile Tor from source?
Compiling is not something I've ever tried, but if it's doable I'd give it a shot.
Otherwise I guess those of us using <10.3.9 will just have to be patient... :)

comment:10 Changed 14 years ago by phobos

I'm working on this. I have a 10.3.9 machine with dev tools installed now. i'm running into issues compiling the source.
As soon as I can have a .dmg ready for pre-10.3.9, I'll update this bug report.

Changed 14 years ago by phobos

latest tor for pre-10.3.9 users

comment:11 Changed 14 years ago by phobos

Ok compiling issues solved. I've attached a pre-10.3.9 compatible tor to this task. Click on the
Attachments tab, and you should be able to download it and install. Let me know if you have issues with it.

comment:12 Changed 14 years ago by macuser2

First of all, thank you for recompiling it so quickly! Unfortunately this version didn't work for me either, got the same 503 error in Firefox. However, I think I know what the issue is: Looks like libevent didn't get installed. Here's the tor.crash.log entry:

Host Name: username.local
Date/Time: 2005-08-16 12:55:12 -0500
OS Version: 10.3.8 (Build 7U16)
Report Version: 2

Command: tor
Path: Library/Tor/tor
Version: ??? (???)
PID: 291
Thread: Unknown

Link (dyld) error:

dyld: Library/Tor/tor can't open library: /usr/local/lib/libevent-1.1a.1.dylib (No such file or directory, errno = 2)


Now this isn't the same error I was getting before. Here's the previous entry in the crash log:

Host Name: username.local
Date/Time: 2005-08-14 19:22:03 -0500
OS Version: 10.3.8 (Build 7U16)
Report Version: 2

Command: tor
Path: Library/Tor/tor
Version: ??? (???)
PID: 274
Thread: Unknown

Link (dyld) error:

dyld: Library/Tor/tor Undefined symbols:
Library/Tor/tor undefined reference to _fprintf$LDBL128 expected to be defined in /usr/lib/libSystem.B.dylib


So what do I need to do to install libevent?

comment:13 Changed 14 years ago by phobos

Ahh yes, I thought libevent was statically compiled in there in the dmg I posted. Let me look into this further. I have libevent compiled/installed on my 10.3.8 test machine, so this is probably why it worked fine.

comment:14 Changed 14 years ago by macuser2

Got it working! I decided to try to be a hotshot and despite not knowing the first thing about building or compiling, I tried to build/compile and install libevent. I created a root user, installed Xcode, and just followed the instructions in the libevent README.

However I'm sure that most pre-10.3.9 users would still be grateful for a .dmg that includes libevent as well.

By the way, it's slow....... hope the base of servers grows! Now I'm going to try to figure out how to configure Tor to run as a server using 20% of my bandwidth...

comment:15 Changed 14 years ago by phobos

Excellent on the compilation of libevent.
I'm working on building a static tor which includes libevent
for those not inclined to compile code.

comment:16 Changed 14 years ago by phobos

The version of Tor with libevent included is attached to this bug report.

For those not wishing to compile libevent, and running 10.3.8 or earlier,
this should work fine.

Changed 14 years ago by phobos

Tor with libevent for pre-10.3.9 users

comment:17 Changed 14 years ago by macuser2

Excellent, good work! My suggestion would be that you package this version of Tor with the latest, and when they unpack, they should do so in two folders: "OS 10.3.8 and earlier" and "OS 10.3.9+", or make them available as separate downloads on the main download page. Also a mention of this should be made on the OS X instructions page <http://tor.eff.org/cvs/tor/doc/tor-doc-osx.html>.

comment:18 Changed 14 years ago by phobos

flyspray2trac: bug closed.
Builds based on gcc-3 for 10.3.x clients and earlier are now provided as part of the release process. Thanks for bringing this up.

comment:19 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.